Subject: [GIT PULL 3/7] drivers: soc: EXYNOS drivers for v4.6

From: [email-masked] (Olof Johansson)
Date: Wed, 24 Feb 2016 14:22:54 -0800

On Mon, Feb 15, 2016 at 09:34:02AM +0900, Krzysztof Kozlowski wrote:
> Hi Arnd, Kevin and Olof,
> 
> This finally moves SROM controller and PMU code to separate
> driver under drivers/soc/samsung.
> 
> Kind regards,
> Krzysztof
> 
> 
> The following changes since commit 92e963f50fc74041b5e9e744c330dca48e04f08d:
> 
>   Linux 4.5-rc1 (2016-01-24 13:06:47 -0800)
> 
> are available in the git repository at:
> 
>   git://git.kernel.org/pub/scm/linux/kernel/git/krzk/linux.git tags/samsung-drivers-soc-srom-pmu-4.6
> 
> for you to fetch changes up to 74a6659e8bf193066ba6bf365de66baa897aebb1:
> 
>   drivers: soc: Add support for Exynos PMU driver (2016-01-25 10:46:59 +0900)
> 
> ----------------------------------------------------------------
> A set of changes adding new drivers under drivers/soc/samsung:
> 
> 1. Split code for handling SROM registers out of arm/mach-exynos
>    in to separate SROM controller driver under drivers/soc/samsung.
>    The driver will save and restore SROM registers during Suspend
>    to RAM.
> 
> 2. Add to this SROM controller driver support for bank configuration
>    used by child devices. This allows usage of SMSC9115 Ethernet chip
>    on SMDK5410 (Exynos5410) directly connected to SROM controller.

Hi,

OMAP has GPMC drivers under drivers/memory. I wonder if SROM should go there
too, since it's a quite similar bus.

Feel free to respin this without SROM now, so we can get the other pieces in
sooner and then revisit the SROM asyncronously. That'll remove the dependencies
on DT as well.

-Olof